Bug 603638 - Review Request: python-defcon - A set of flexible objects for representing UFO data.
Summary: Review Request: python-defcon - A set of flexible objects for representing U...
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On: 603634
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-14 08:47 UTC by Parag Nemade
Modified: 2011-03-29 06:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-29 06:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Parag Nemade 2010-06-14 08:47:30 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/defcon.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/defcon-0.1-1.fc13.src.rpm
Description: 
A set of flexible objects for representing UFO data.

Comment 2 Thomas Spura 2010-07-22 10:18:46 UTC
Review:

Good:
- name ok
- source matches upstream: 738f62fea9d78b5225706dc7e1a562be
- latest version packaged
- $ rpmlint ./python-defcon-0.1-1.fc13.src.rpm noarch/python-defcon-0.1-1.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Needswork:
- *** Warning: defcon requires FontTools, see:
    fonttools.sf.net
*** Warning: defcon requires RoboFab, see:
    robofab.com

-> Missing BR: python-robofab and fonttools (last one also R)

- Some tests are failing, does upstream know of this?
  Ran 78 tests in 0.641s
  FAILED (failures=5)

- You could build the documentation and include that into a -doc subpackage.
  (I didn't found it on an upstream website.)

- Are you sure, this is installed correctly?
From __init__.py:
from defcon.objects.font import Font
  9 from defcon.objects.glyph import Glyph, addRepresentationFactory, removeRepr    esentationFactory
 10 from defcon.objects.contour import Contour

But there is no defcon.objects. etc installed, just in the source...
It seems python setuptools or the setup.py are wrong. :(

Comment 3 Thomas Spura 2010-07-22 10:22:46 UTC
Forgot to add:
- license ok
- no *.la
- buildarch noarch ok
- no libs
- no locales

-> false installing and BR are the blockers, doc is should

Comment 4 Parag Nemade 2010-07-22 15:41:49 UTC
When I asked upstream if they can help to fix this testcase failure issue, Author "Tal Leming" wrote me =>

No. The tests work for me, so it is probably a problem with your installation or your platform. I don't have time to debug that for you. In any case, the same license that allows you to redistribute this code also allows you to modify it. If these are indeed bugs, you can fix them for your repackaged version. If you submit the patches to me, I will consider applying them to my code.

Comment 5 Parag Nemade 2010-08-02 06:10:06 UTC
updated package addressing remaining issues
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/python-defcon.spec
SRPM URL:
http://paragn.fedorapeople.org/fedora-work/SRPMS/python-defcon-0.1-2.fc13.src.rpm

Comment 6 Thomas Spura 2010-08-02 10:54:33 UTC
(In reply to comment #2)
> Needswork:
> - *** Warning: defcon requires FontTools, see:
>     fonttools.sf.net
> *** Warning: defcon requires RoboFab, see:
>     robofab.com
> 
> -> Missing BR: python-robofab and fonttools (last one also R)
Fixed
> - Some tests are failing, does upstream know of this?
>   Ran 78 tests in 0.641s
>   FAILED (failures=5)
Maybe they work, once it's installed correctly (see below).
> - You could build the documentation and include that into a -doc subpackage.
>   (I didn't found it on an upstream website.)
Fixed
> - Are you sure, this is installed correctly?
> From __init__.py:
> from defcon.objects.font import Font
>   9 from defcon.objects.glyph import Glyph, addRepresentationFactory,
> removeRepr    esentationFactory
>  10 from defcon.objects.contour import Contour
> 
> But there is no defcon.objects. etc installed, just in the source...
> It seems python setuptools or the setup.py are wrong. :(    

$ python -c "import defcon"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/defcon/__init__.py", line 8, in <module>
    from defcon.objects.font import Font
ImportError: No module named objects.font

So this is not yet correctly installed.
(Rest looks ok.)

Comment 7 Parag Nemade 2011-03-29 06:35:46 UTC
I have no time to work on this. Closing this for now as deferred.


Note You need to log in before you can comment on or make changes to this bug.